#include "widget.h"
#include "ui_widget.h"
//______________________________________________________________________
Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);

    // instanciation et connection du timer
    timer = new QTimer(this);
    connect(timer, SIGNAL(timeout()), this, SLOT(on_timer()));
    timer->setInterval(10);
    // préparation de l'interface
    ui->verticalSlider->setValue(ui->verticalSlider->maximum());
    ui->label->setVisible(false);
    this->setWindowTitle("Bandit manchot");
}

//______________________________________________________________________
Widget::~Widget()
{
    delete ui;
    delete timer;
}

//______________________________________________________________________
void Widget::on_verticalSlider_valueChanged(int value)
{
 if (value==0){         // on a descendu le slider à fond
            timer->start();
            ui->label->setVisible(false);
            }
}

//______________________________________________________________________
void Widget::on_timer(){
    // trois valeurs aléatoires
    ui->lcdNumber->display(rand()%10);
    ui->lcdNumber_2->display(rand()%10);
    ui->lcdNumber_3->display(rand()%10);
    // remontée automatique du slider
    int value = ui->verticalSlider->value();
    value++;
    ui->verticalSlider->setValue(value);
    if (value>=ui->verticalSlider->maximum()){  // il est remonté complètement
                    timer->stop();
                    if (ui->lcdNumber->value()== ui->lcdNumber_2->value() &&
                        ui->lcdNumber->value()== ui->lcdNumber_3->value()){
                        ui->label->setText("Gagné !");
                        }
                    else {
                        ui->label->setText("Perdu !");
                        }
                    ui->label->setVisible(true);
                    }

    }
